#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2018-03-14
#
# Check Point SecureXL staus metrics plugin
# checkpoint_securexl
#
metric_info['checkpoint_securexl_connections_active'] = {
    'title': _('Connections active'),
    'unit': 'count',
    'color': '26/a',
}
metric_info['checkpoint_securexl_connections_added'] = {
    'title': _('Connections added'),
    'unit': '1/s',
    'color': '21/a',
}
metric_info['checkpoint_securexl_connections_deleted'] = {
    'title': _('Connections deleted'),
    'unit': '1/s',
    'color': '31/a',
}

check_metrics['check_mk-checkpoint_securexl'] = {
    'connections_active': {'name': 'checkpoint_securexl_connections_active', },
    'connections_added': {'name': 'checkpoint_securexl_connections_added', },
    'connections_deleted': {'name': 'checkpoint_securexl_connections_deleted', },
}

graph_info.append({
    'title': _('Check Point SecureXL Connections active'),
    'metrics': [
        ('checkpoint_securexl_connections_active', 'area'),

    ],
})

graph_info.append({
    'title': _('Check Point SecureXL Connections added/deleted'),
    'metrics': [
        ('checkpoint_securexl_connections_deleted', '-area'),
        ('checkpoint_securexl_connections_added', 'area'),
    ],
})


perfometer_info.append({
        'type': 'logarithmic',
        'metric': 'checkpoint_securexl_connections_active',
        'half_value': 2000.0,
        'exponent': 2,
    },)